> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client identity information for a card account

> Update the identity information of a cardholder associated with a specific card account.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /cardaccounts/client-identity
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cardaccounts/client-identity:
    post:
      tags:
        - Card Accounts
      summary: Update client identity information for a card account
      description: >-
        Update the identity information of a cardholder associated with a
        specific card account.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                cardAccountId:
                  type: string
                  format: uuid
                  description: Unique identifier for the card account.
                  example: 123e4567-e89b-12d3-a456-426614174000
                individual:
                  $ref: '#/components/schemas/UpdateClientIdentityCardholderInfo'
              required:
                - cardAccountId
                - individual
      responses:
        '200':
          description: Client identity updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier for the update operation.
                    example: 123e4567-e89b-12d3-a456-426614174001
                  cardAccountId:
                    type: string
                    format: uuid
                    description: Unique identifier for the card account.
                    example: 123e4567-e89b-12d3-a456-426614174000
                  individual:
                    $ref: '#/components/schemas/MaskedCardholderInfo'
              example:
                id: 123e4567-e89b-12d3-a456-426614174001
                cardAccountId: 123e4567-e89b-12d3-a456-426614174000
                individual:
                  firstName: J*** A******
                  lastName: CHAN
                  email: j*****e@*****.com
                  dateOfBirth: '1985-07-20'
                  annualIncome: '100000'
                  position: senior management
                  occupation: accountant
                  mobile: 85*******11
                  document:
                    type: passport
                    number: '******678'
                    country: HK
                    expiryDate: '2025-12-31'
                  address: address
components:
  schemas:
    UpdateClientIdentityCardholderInfo:
      type: object
      description: >
        Individual card holder identity information. This is required when
        account type is individual.
      required:
        - firstName
        - lastName
        - email
        - dateOfBirth
        - annualIncome
        - document
        - occupation
        - position
      properties:
        dateOfBirth:
          type: string
          pattern: \d{4}-\d{2}-\d{2}
          example: '1985-07-20'
          description: Date of birth (YYYY-MM-DD)
        firstName:
          type: string
          example: John Anthony
          description: First name of cardholder
        lastName:
          type: string
          example: CHAN
          description: Last name / Surname of cardholder
        firstNameLocal:
          type: string
          example: John Anthony
          description: First name of cardholder on ID
        lastNameLocal:
          type: string
          example: CHAN
          description: Last name / Surname of cardholder on ID
        email:
          type: string
          example: john.doe@example.com
          description: Email address of cardholder
        mobile:
          type: string
          example: '+85255551234'
          description: |-
            Phone number of card holder
            This phone number should be pre verified by the partner.
        annualIncome:
          type: string
          example: '100000'
          description: Annual income of card holder in USD
        occupation:
          type: string
          example: accountant
          description: >-
            Occupation of card holder. Retrieve a list of valid occupations from
            /v1/occupations endpoint. Required and validated against the list of
            valid occupations.
        position:
          type: string
          example: senior management
          description: >-
            Position of card holder. Retrieve a list of valid positions from
            /v1/positions endpoint. Required and validated against the list of
            valid positions.
        document:
          type: object
          description: |
            Government Issued Identification Document Information
          required:
            - type
            - front
            - number
            - country
          properties:
            type:
              type: string
              description: >
                The following types are accepted for ID documents.

                - Permanent HKID

                - Valid Passport

                - China National ID

                - Exit-Entry Permit for Travelling to and from Hong Kong and
                Macao (EEP)

                - Japanese National ID

                - Japanese Driving License

                - Malaysian National ID
              enum:
                - passport
                - drivers-license
                - national-id
            front:
              description: >
                The front of a document file encoded in data URI base64 encoded
                format


                The following mime types are accepted for ID documents

                - PDF documents: application/pdf

                - JPEG image files: image/jpeg

                - PNG image files: image/png

                - GIF image files: image/gif
              type: string
              example: >-
                data:application/pdf;base64,JVBERi0xLjQKJcOkw7zDQo8P3hwYW5lbCBiYXNlPSIwIiBuYW1lPSJMYXllciAxIiBjb2xvcj0iIzAwMDAwMCI+CjwvYnVmZmVyPgo8L3BhcmVudD4KPC9
            back:
              description: >
                The back of a document file encoded in data URI base64 encoded
                format


                The following mime types are accepted for ID documents


                - PDF documents: application/pdf

                - JPEG image files: image/jpeg

                - PNG image files: image/png

                - GIF image files: image/gif
              example: >-
                data:application/pdf;base64,JVBERi0xLjQKJcOkw7zDQo8P3hwYW5lbCBiYXNlPSIwIiBuYW1lPSJMYXllciAxIiBjb2xvcj0iIzAwMDAwMCI+CjwvYnVmZmVyPgo8L3BhcmVudD4KPC9
              type: string
            number:
              type: string
              description: Identification document number.
              example: A12345678
            country:
              type: string
              format: ISO3166-1 alpha-2
              example: HK
              description: >
                Issuing country of identification document in ISO3166-1 alpha-2
                format


                The following countries/regions are not accepted

                - Afghanistan

                - Albania

                - Belarus

                - Bosnia and Herzegovina

                - Central African Republic

                - Crimea

                - Democratic Republic of the Congo (also Zaire)

                - Ethiopia

                - Guinea Bissau

                - Haiti

                - Iran

                - Iraq

                - Kosovo

                - Libya

                - Mali

                - Montenegro

                - Myanmar

                - Nicaragua

                - North Korea (DPRK)

                - North Macedonia

                - Somalia

                - South Sudan

                - Sudan and Darfur

                - Syria

                - Venezuela

                - Yemen
            expiryDate:
              type: string
              pattern: \d{4}-\d{2}-\d{2}
              example: '2025-12-31'
              description: Expiry date of identification document (YYYY-MM-DD)
        address:
          type: string
          minLength: 1
          maxLength: 500
          example: 123 Main Street, Anytown, USA
          description: Address of the card holder.
        gender:
          type: string
          enum:
            - MALE
            - FEMALE
          example: MALE
          description: |
            Gender of cardholder. Required from February 1, 2026.
            Optional until then.
        nationality:
          type: string
          minLength: 2
          maxLength: 2
          pattern: ^[A-Z]{2}$
          example: HK
          description: >
            Nationality of cardholder in ISO 3166-1 alpha-2 format (e.g., HK,
            US, CN).

            Required from February 1, 2026.

            Optional until then.

            If nationality is not HK, at least one supporting document is
            required.
        supportingDocuments:
          type: array
          description: |
            Supporting documents required for non-Hong Kong citizens.
            Required if nationality is provided and is not HK.
            Each document must be one of the accepted document types.
          items:
            $ref: '#/components/schemas/SupportingDocument'
    MaskedCardholderInfo:
      type: object
      description: Masked information about the cardholder.
      properties:
        firstName:
          type: string
          description: The masked first name of the cardholder.
          example: J*** A******
        lastName:
          type: string
          description: The last name of the cardholder.
          example: CHAN
        firstNameLocal:
          type: string
          description: The masked first name of the cardholder on ID.
          example: J*** A******
        lastNameLocal:
          type: string
          description: The last name of the cardholder on ID.
          example: CHAN
        email:
          type: string
          description: The masked email address of the cardholder.
          example: j*****e@*****.com
        dateOfBirth:
          type: string
          format: date
          description: The cardholder's date of birth.
          example: '1985-07-20'
        annualIncome:
          type: string
          example: '100000'
          description: Annual income of card holder in USD
        position:
          type: string
          description: The cardholder's position in the company.
          example: senior management
        occupation:
          type: string
          description: The cardholder's occupation.
          example: accountant
        mobile:
          type: string
          description: The masked mobile phone number of the cardholder.
          nullable: true
          example: 85*******11
        document:
          type: object
          description: Identification document details of the cardholder.
          properties:
            type:
              type: string
              enum:
                - passport
                - drivers-license
                - national-id
              description: The type of identification document.
              example: passport
            number:
              type: string
              description: The masked identification document number.
              example: '******678'
            country:
              type: string
              format: ISO3166-1 alpha-2
              example: HK
              description: >-
                Issuing country of identification document in ISO3166-1 alpha-2
                format
            expiryDate:
              type: string
              pattern: \d{4}-\d{2}-\d{2}
              example: '2025-12-31'
              description: Expiry date of identification document (YYYY-MM-DD)
        address:
          type: string
          description: The masked address of the cardholder.
          nullable: true
          example: address
        gender:
          type: string
          enum:
            - MALE
            - FEMALE
          nullable: true
          description: Gender of cardholder
          example: MALE
        nationality:
          type: string
          minLength: 2
          maxLength: 2
          nullable: true
          description: Nationality of cardholder in ISO 3166-1 alpha-2 format
          example: HK
        supportingDocuments:
          type: array
          nullable: true
          description: Supporting documents (documentType only, file content is masked)
          items:
            type: object
            properties:
              documentType:
                type: string
                enum:
                  - IMMIGRATION_ENDORSEMENT
                  - WORK_VISA
                  - EMPLOYMENT_CONTRACT
                  - SALARY_PAYSLIP
                  - TENANCY_AGREEMENT
                  - ADDRESS_PROOF
                  - BANK_STATEMENT
                  - TRAVEL_PERMIT
                  - PROOF_OF_VISIT
          example:
            - documentType: WORK_VISA
        status:
          type: string
          enum:
            - pending_approval
            - approved
            - rejected
          description: >-
            Indicates the current KYC verification status: pending_approval,
            approved, or rejected.
          example: pending_approval
        rejectedReason:
          type: string
          nullable: true
          description: Provides the reason for KYC rejection if the status is rejected.
          enum:
            - Invalid ID (expired doc)
            - Invalid ID (age under 18)
            - Invalid ID (bogus id)
            - Invalid ID (id not accepted, hkid/passport is required)
            - Invalid ID (clear physical id card photo is required)
            - Invalid ID (missing id back photo)
            - Invalid ID (id not belong to client)
            - Invalid ID (two different ids attached)
            - >-
              Invalid ID (attached id with a stated purpose other than card
              application)
            - Invalid ID (name check hit)
            - Invalid ID (exceed the company's risk appetite)
            - Invalid ID (others)
            - Unclear ID Image
            - Cannot Open Doc
            - Block Nationality
            - Info Mismatch b/w ID and Input Data (id/passport expiry date)
            - Info Mismatch b/w ID and Input Data (date of birth)
            - Info Mismatch b/w ID and Input Data (client name)
            - Info Mismatch b/w ID and Input Data (id number)
            - Info Mismatch b/w ID and Input Data (id type)
            - Info Mismatch b/w ID and Input Data (id country)
            - Info Mismatch b/w ID and Input Data (gender)
            - Info Mismatch b/w ID and Input Data (nationality)
            - Incomplete Info (address)
            - Incomplete Info (not residential address)
            - Incomplete Info (id/passport expiry date)
            - Incomplete Info (position & occupation)
            - Additional Doc for Non-HK Resident (document type not accepted)
            - Additional Doc for Non-HK Resident (expired document)
            - Additional Doc for Non-HK Resident (unclear image)
            - Additional Doc for Non-HK Resident (document not belong to client)
            - Additional Doc for Non-HK Resident (potential bogus document)
            - Additional Doc for Non-HK Resident (cannot open doc)
            - Additional Doc for Non-HK Resident (doc date not accepted)
            - Additional Doc for Non-HK Resident (incomplete image)
            - Additional Doc for Non-HK Resident (missing id back photo)
            - Additional Doc for Non-HK Resident (hotel info invalid)
          example: Invalid ID (expired doc)
        rejectionAdditionalInfo:
          type: string
          nullable: true
          description: Additional KYC rejection information, if provided.
          example: Please upload valid hotel booking information.
    SupportingDocument:
      type: object
      description: |
        Supporting document for non-Hong Kong citizens.
        Required if nationality is not HK.
      required:
        - documentType
        - file
      properties:
        documentType:
          type: string
          enum:
            - IMMIGRATION_ENDORSEMENT
            - WORK_VISA
            - EMPLOYMENT_CONTRACT
            - SALARY_PAYSLIP
            - TENANCY_AGREEMENT
            - ADDRESS_PROOF
            - BANK_STATEMENT
            - TRAVEL_PERMIT_FRONT
            - TRAVEL_PERMIT_BACK
            - PROOF_OF_VISIT
          description: >
            Type of supporting document. Accepted document types:

            - IMMIGRATION_ENDORSEMENT: Hong Kong Immigration Endorsement /
            Landing Slip

            - WORK_VISA: Valid Hong Kong Work Visa

            - EMPLOYMENT_CONTRACT: Employment Contract from a Hong Kong company

            - SALARY_PAYSLIP: Salary Payslip from a Hong Kong company issued
            within the last 3 months

            - TENANCY_AGREEMENT: Hong Kong Tenancy / Rental Agreement

            - ADDRESS_PROOF: Hong Kong Address Proof issued within the last 3
            months (e.g., an utility or telecommunication bill)

            - BANK_STATEMENT: Hong Kong Bank Statement issued within the last 3
            months

            - TRAVEL_PERMIT_FRONT: Front side of the Exit-Entry Permit for
            Travelling to and from Hong Kong and Macao (EEP / 回鄉證). Must be
            submitted together with TRAVEL_PERMIT_BACK.

            - TRAVEL_PERMIT_BACK: Back side of the Exit-Entry Permit for
            Travelling to and from Hong Kong and Macao (EEP / 回鄉證). Must be
            submitted together with TRAVEL_PERMIT_FRONT.

            - PROOF_OF_VISIT: Proof of a recent visit or current stay in Hong
            Kong (e.g., a hotel booking or flight ticket dated within the last 7
            days)
          example: WORK_VISA
        file:
          type: string
          description: |
            Supporting document file encoded in data URI base64 encoded format.
            The following mime types are accepted:
            - PDF documents: application/pdf
            - JPEG image files: image/jpeg
            - PNG image files: image/png
            - GIF image files: image/gif
          example: >-
            data:application/pdf;base64,JVBERi0xLjQKJcOkw7zDQo8P3hwYW5lbCBiYXNlPSIwIiBuYW1lPSJMYXllciAxIiBjb2xvcj0iIzAwMDAwMCI+CjwvYnVmZmVyPgo8L3BhcmVudD4KPC9
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````